#include "lcd.h"
#include <xc.h>
void initLcd(void)
{
    LCDPS=0x39;     // preskaler 1/10
                    // modul LCD wlaczony, zapis wlaczony
                    // sterowanie statyczne

    LCDSE0 = 0xFE;  // wlaczenie uzywanych segmentow - te piny nie beda dzialay jako GPIO tylko wyprowadzenia LCD
    LCDSE1 = 0x9C;  
	LCDSE2 = 0X2F;

    LCDCON=0x9C;    //sterowanie statyczne - jedno wyprowadzenie wspolne
                    //sterownik LCD wlaczony, w trybie sleep wylaczony
                    //piny VLCD wlaczone
                    //zrodlo zegara dla LCD wewnetrzny oscylator 31khz 
    LCDDATA0 = 0;   //wszystkie segmenty wylaczone
    LCDDATA1 = 0;
    LCDDATA2 = 0;
    LCDDATA3 = 0;
    LCDDATA4 = 0;
    LCDDATA5 = 0;
    LCDDATA6 = 0;
    LCDDATA7 = 0;
    LCDDATA8 = 0;
    LCDDATA9 = 0;
    LCDDATA10 =0;
    LCDDATA11 =0;   
}
void displayNumber(unsigned char Position, unsigned char Number){

	switch(Position){
	case 1:
		D1A = D1B = D1C = D1D = D1E = D1F = D1G = 0; //intialize cleared
		switch(Number){
		case 1:
			D1B = D1C = 1;          // these pixel defination are in the lcdmap.h you may need to chage them according to you lcd pins and pixal allignment
			break;
		case 2:
			D1A = D1B = D1G = D1E = D1D = 1;
			break;
		case 3:
			D1A = D1B = D1G = D1C = D1D = 1;
			break;
		case 4:
			D1F = D1G = D1B = D1C = 1;
			break;
		case 5:
			D1A = D1F = D1G = D1C = D1D = 1;
			break;
		case 6:
			D1A = D1F = D1E = D1D = D1C = D1G = 1;
			break;
		case 7:
			D1A = D1B = D1C = 1;
			break;
		case 8:
			D1A = D1B = D1C = D1D = D1E = D1F = D1G = 1;
			break;
		case 9:
			D1A = D1B = D1C = D1D = D1F = D1G = 1;
			break;
                case 10:
                        D1A = D1B = D1C = D1E = D1F = D1G =1;
                        break;
                case 11:
                        D1C = D1D = D1E = D1F = D1G =1;
                        break;
                case 12:
                        D1A = D1D = D1E = D1F =1;
                        break;
                case 13:
                        D1B = D1C = D1D =D1E = D1G =1;
                        break;
                case 14:
                        D1A = D1D = D1E = D1F = D1G =1;
                        break;
                case 15:
                        D1A = D1E = D1F = D1G =1;
                        break;
		case 0:
			D1A = D1B = D1C = D1D = D1E = D1F = 1;
			break;
		}
		break;
	case 2:
		D2A = D2B = D2C = D2D = D2E = D2F = D2G = 0; //intialize cleared
		switch(Number){

		case 1:
			D2B = D2C = 1;
			break;
		case 2:
			D2A = D2B = D2G = D2E = D2D = 1;
			break;
		case 3:
			D2A = D2B = D2G = D2C = D2D = 1;
			break;
		case 4:
			D2F = D2G = D2B = D2C = 1;
			break;
		case 5:
			D2A = D2F = D2G = D2C = D2D = 1;
			break;
		case 6:
			D2A = D2F = D2E = D2D = D2C = D2G = 1;
			break;
		case 7:
			D2A = D2B = D2C = 1;
			break;
		case 8:
			D2A = D2B = D2C = D2D = D2E = D2F = D2G = 1;
			break;
		case 9:
			D2A = D2B = D2C = D2D = D2F = D2G = 1;
			break;
                case 10:
                        D2A = D2B = D2C = D2E = D2F = D2G =1;
                        break;
                case 11:
                        D2C = D2D = D2E = D2F = D2G =1;
                        break;
                case 12:
                        D2A = D2D = D2E = D2F =1;
                        break;
                case 13:
                        D2B = D2C = D2D = D2E = D2G =1;
                        break;
                case 14:
                        D2A = D2D = D2E = D2F = D2G =1;
                        break;
                case 15:
                        D2A = D2E = D2F = D2G =1;
                        break;
		case 0:
			D2A = D2B = D2C = D2D = D2E = D2F = 1;
			break;
		}
		break;
	
               
	}
}